Subject: Re: 25.2; Fatal error 6: Abortmake[1]: *** [Makefile:737: bootstrap-emacs] Abort (core dumped)

From: 白井彰 <[email-masked]>
Date: Sat, 2 Sep 2017 22:03:23 +0900

Hello,

I'm sorry that I can not report any news on this one, except I've
downloaded Sun C 5.14 (Oracle Developer Studio 12.5) but I've not
installed the compiler on my site yet.  I agree that it isn't right to
block the release of Emacs 26.1 due to this problem.

Thanks.

> 2017/09/02 21:31、Eli Zaretskii <[email-masked]>のメール:
> 
> unblock 24655 by 26638
> thanks
> 
>> From: Paul Eggert <[email-masked] <mailto:[email-masked]>>
>> Date: Sat, 29 Apr 2017 12:21:49 -0700
>> Cc: [email-masked] <mailto:[email-masked]>
>> 
>> For what it's worth I could not reproduce the problem on i386-pc-solaris2.11 
>> with Sun C 5.12. Emacs did not crash at all.
>> 
>> My guess is that it's a bug in how unexec works in your environment. It's also 
>> possible that it's a bug in your C compiler, though I think this less likely. 
>> Unfortunately, it is hard to debug this sort of thing without access to the 
>> failing system.
>> 
>> Is it easy for you to try the latest C compiler from Oracle instead? The current 
>> stable version is Sun C 5.14 (Oracle Developer Studio 12.5), which you can get here:
>> 
>> https://www.oracle.com/tools/developerstudio/index.html <https://www.oracle.com/tools/developerstudio/index.html>
> 
> Any news on this one?
> 
> In any case, given the time since the last communication, and no
> similar reports from anyone else, it doesn't seem right to block the
> release of Emacs 26.1 due to this problem.
> 
> Thanks.